// ************************************************
// *** NON-MEDIA CLOUDS (but almost so slow!!!) ***
// ************************************************

// Jaime Vives Piqueres, (?)1999.
// jaime@ctav.es
// http://members.xoom.com/jaimevives

// test scene for i_stsky.inc -> lonely clouds

#version 3.1;
global_settings{
 max_trace_level 64          // keep higher than the number of planes!
}

#include "colors.inc"
#include "textures.inc"


// the clouds
#include "i_stsky.inc"
#declare dark_color=White*.8+SkyBlue*.2;
#declare light_color=White;
#declare height=8000;
#declare cloud_level=.6;
#declare planes=60;
#declare pdist=30;
#declare ppatt=pigment{wrinkles}
#declare pturb=.4;
#declare pocta=9;
#declare plamb=3;
#declare pomeg=.5;
#declare tdist=50;
#declare sfactor=10000;
#declare dfactor=.9;
#declare border=.1;
#declare fstart=.7;
#declare fend=.8;
object{
 clouds(
  dark_color,         // color for lower parts
  light_color,        // color for upper parts
  height,             // heigth to first layer
  cloud_level,        // level of "cloudiness"(?)
  planes,             // number of planes
  pdist,              // distance between planes
  ppatt,              // pigment pattern
  pturb,              // amount of turbulence
  pocta,              // and its modifiers
  plamb,
  pomeg,
  tdist,              // distance between textures
  sfactor,            // scaling factor
  dfactor,            // darkening factor
  border,             // width of change zone
  fstart,             // filter for lower layer
  fend                // filter for upper layer
 )
 hollow
 no_shadow
 rotate 5*y
}


// "container" sky
sky_sphere{
 pigment{SkyBlue}
}

// the camera looks up for a better effect
// avoid "horizontal" views, the trick is more evident
// (or use a lot of very close planes and be prepared to wait...)
camera{
 location <0,0,-30>
 direction 4*z
 look_at <0,0,0>
 rotate -10*x
}

